"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.consoleReporter = void 0;
function consoleReporter(runRes) {
    var filename = runRes.filename, label = runRes.label, results = runRes.results;
    var violationsCount = results.length;
    var isMoreThanOne = violationsCount > 1;
    cy.task('log', violationsCount + " accessibility violation" + (isMoreThanOne ? 's' : '') + " " + (isMoreThanOne ? 'were' : 'was') + " detected.");
    var violationData = {};
    results.forEach(function (_a, idx) {
        var impact = _a.impact, description = _a.description, nodes = _a.nodes;
        violationData[filename + " #" + (idx + 1)] = __assign(__assign({}, label && { label: label }), { impact: impact,
            description: description, count: nodes.length });
    });
    cy.task('table', violationData);
    console.table(violationData);
}
exports.consoleReporter = consoleReporter;
